Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 254)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 265)
@@ -58,11 +58,20 @@
 include("crea_pagina.php");
 
-$res = mysql_query("SELECT descrizione from  ".$prefix."_ele_comuni where id_comune='$id_comune'" , $dbi);
-list($descr_comune) = mysql_fetch_row($res);
-
-$res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
-list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
+$sql="SELECT descrizione from  ".$prefix."_ele_comuni where id_comune='$id_comune'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($descr_comune) = $res->fetch(PDO::FETCH_NUM);
+
+$sql="SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($id_cons,$dettnulli,$disgiunto) = $res->fetch(PDO::FETCH_NUM);
 
 
@@ -89,8 +98,4 @@
 	if($op=="candidato_sezione") $pagina=_CONSI." "._PER." "._SEZIONI;
 	if($op=="consiglieri") $pagina=_CALCONS;
-
-
-
-
 	if (strstr( $op,'circo')) { //$op=='gruppo_circo' or $op=='lista_circo') {
 		$tab1="circ";
@@ -160,228 +165,235 @@
 		}
 		if (!$csv){
-		echo "<form id=\"voti\" method=\"post\" action=\"modules.php\">";
-		echo "<div><input type=\"hidden\" name=\"pag\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=$id_circ&amp;id_lista=\"></input>";
-		echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=\"></input>";
+			echo "<form id=\"voti\" method=\"post\" action=\"modules.php\">";
+			echo "<div><input type=\"hidden\" name=\"pag\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=$id_circ&amp;id_lista=\"></input>";
+			echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=\"></input>";
 		}
 		$condcirc='';
 		if ($circo){ //gestione circoscrizionali
 			if(!$id_circ){
-			$res_cir = mysql_query("SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ=1",$dbi); //se non si e' scelta una circoscr. prende la prima
-			list($id_circ)=mysql_fetch_row($res_cir);
-			}
-			$res_cir = mysql_query("SELECT num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ",$dbi); //estrae il numero della circoscrizione
-			list($num_circ)=mysql_fetch_row($res_cir);
+				$sql="SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ=1";
+				$res_cir = $dbi->prepare("$sql");
+				$res_cir->execute();
+	 //se non si e' scelta una circoscr. prende la prima
+				list($id_circ)=$res_cir->fetch(PDO::FETCH_NUM);
+			}
+			$sql="SELECT num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ";
+			$res_cir = $dbi->prepare("$sql");
+			$res_cir->execute();
+ //estrae il numero della circoscrizione
+			list($num_circ)=$res_cir->fetch(PDO::FETCH_NUM);
 			$condcirc="and id_circ=$id_circ";  //variabile aggiunta nelle select per le circ.
-			$res_sez = mysql_query("SELECT count(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ",$dbi); //numero di sezioni nella circoscrizione
-			$res_min = mysql_query("SELECT min(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ",$dbi); //setta minsez sulla prima sezione della circoscrizione
-			list($minsez)=mysql_fetch_row($res_min);
-			}
-		elseif (strstr( $op,'circo'))
-			$res_sez = mysql_query("SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-		else
-			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
-		$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		list($tuttelesez)=mysql_fetch_row($res_sez); 
+			$sql="SELECT count(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ";
+			$res_sez = $dbi->prepare("$sql");
+			$res_sez->execute();
+ //numero di sezioni nella circoscrizione
+			$sql="SELECT min(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ";
+			$res_min = $dbi->prepare("$sql");
+			$res_min->execute();
+ //setta minsez sulla prima sezione della circoscrizione
+			list($minsez)=$res_min->fetch(PDO::FETCH_NUM);
+		}
+		elseif (strstr( $op,'circo')){
+			$sql="SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons";
+			$res_sez = $dbi->prepare("$sql");
+			$res_sez->execute();
+		}
+		else{
+			$sql="SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+			$res_sez = $dbi->prepare("$sql");
+			$res_sez->execute();
+		}
+		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=$res_sez->fetch(PDO::FETCH_NUM); 
+		$sql="SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+		$res_sez = $dbi->prepare("$sql");
+		$res_sez->execute();
+
+		list($tuttelesez)=$res_sez->fetch(PDO::FETCH_NUM); 
 
 		$num_sez=$tot_sez;//mysql_data_seek($res_sez,0);
 		if ($circo) $offsetsez=$numsezmax; //$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
-#		if(strstr( $op,"circo")) {
-#				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
-#				list($num_sez)=mysql_fetch_row($res_sez);
-#			}
-#Tolgo la scelta della circoscrizione o collegio perché gestita per tutte le pagine in index.php
-/*			if ($circo){ // elenco per scelta circoscrizione
-				$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-				echo "<div >"._SCELTA_CIR.": 
-				<select name=\"id_circ\" class=\"modulo\" onChange=\"top.location.href=this.form.pagina.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
-				while(list($id_rif,$descrizione,$num_cir)=mysql_fetch_row($res_sez)) {
-					if (!$id_circ) $id_circ=$id_rif;
-					$sel = ($id_rif == $id_circ) ? "selected=\"selected\"" : "";
+
+		$visvot='';
+
+		if (!$csv) echo "<div><h5>$pagina</h5></div>";
+		if (!$csv) echo "<div style=\" text-align:left; margin-left:20px;\">";
+
+		if(strstr( $op,'candidato')){
+//			$numliste=mysql_num_rows($res_lis);
+			$visvot="cand";
+			if (!$csv){
+				$sql="SELECT id_lista, descrizione,num_lista from ".$prefix."_ele_lista where id_cons=$id_cons $condcirc order by num_lista";
+				$res_lis = $dbi->prepare("$sql");
+				$res_lis->execute();
+
+				//elenco delle liste per la scelta
+				echo "<p>"._SCEGLI_LISTA.": 
+				<select name=\"id_lista\" class=\"modulo\" onChange=\"top.location.href=this.form.pag.value+this.form.id_lista.options[this.form.id_lista.selectedIndex].value;return false\">";
+				while(list($id_rif,$descrizione,$num_lis) = $res_lis->fetch(PDO::FETCH_NUM)) {
+					if (!$id_lista) $id_lista=$id_rif;
+					$sel = ($id_rif == $id_lista) ? "selected=\"selected\"" : "";
 					echo "<option value=\"$id_rif\" $sel>";
-					for ($j=strlen($num_cir);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_cir.") ".$descrizione."</option>";
+					for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
+					echo $num_lis.") ".$descrizione."</option>";
 				}
-				echo "</select></div>";
-			
-			}
-*/
-			$visvot='';
-
-			if (!$csv) echo "<div><h5>$pagina</h5></div>";
-			if (!$csv) echo "<div style=\" text-align:left; margin-left:20px;\">";
-
-			if(strstr( $op,'candidato')){
-//			$numliste=mysql_num_rows($res_lis);
-				$visvot="cand";
-				if (!$csv){
-					
-
-					$res_lis = mysql_query("SELECT id_lista, descrizione,num_lista from ".$prefix."_ele_lista where id_cons=$id_cons $condcirc order by num_lista",$dbi);
-					//elenco delle liste per la scelta
-					echo "<p>"._SCEGLI_LISTA.": 
-					<select name=\"id_lista\" class=\"modulo\" onChange=\"top.location.href=this.form.pag.value+this.form.id_lista.options[this.form.id_lista.selectedIndex].value;return false\">";
-					while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_lis)) {
-						if (!$id_lista) $id_lista=$id_rif;
-						$sel = ($id_rif == $id_lista) ? "selected=\"selected\"" : "";
-						echo "<option value=\"$id_rif\" $sel>";
-						for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-						echo $num_lis.") ".$descrizione."</option>";
-					}
-					echo "</select></p>";
-				}
-				$res_scr = mysql_query("SELECT count(t1.id_sez) from ".$prefix."_ele_voti_$tab as t1, ".$prefix."_ele_$tab as t2 where t2.id_lista=$id_lista and t1.id_cand=t2.id_cand group by t1.id_cand",$dbi);
-				$res_cand = mysql_query("SELECT id_cand, concat(cognome,' ', nome), num_cand from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista order by num_cand",$dbi);
-				if ($circo) $condcirc="and t5.id_circ=$id_circ";
-
-				$res_voti = mysql_query("select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome), sum(t2.voti),'','','','','' 
-				from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
-				.$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4, ".$prefix."_ele_circoscrizione as t5
-				where t1.id_lista=$id_lista
-				and t1.id_cons=$id_cons
-				and t1.id_cand=t2.id_cand
-				and t2.id_sez=t3.id_sez
-				and t3.id_sede=t4.id_sede
-				and t4.id_circ=t5.id_circ $condcirc
-				group by t1.num_cand,$tab3
-				order by $tab3,t1.num_cand",$dbi);
-
+				echo "</select></p>";
+			}
+			$sql="SELECT count(t1.id_sez) from ".$prefix."_ele_voti_$tab as t1, ".$prefix."_ele_$tab as t2 where t2.id_lista=$id_lista and t1.id_cand=t2.id_cand group by t1.id_cand";
+			$res_scr = $dbi->prepare("$sql");
+			$res_scr->execute();
+
+			$sqlc="SELECT id_cand, concat(cognome,' ', nome), num_cand from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista order by num_cand";
+			$res_cand = $dbi->prepare("$sqlc");
+			$res_cand->execute();
+
+			if ($circo) $condcirc="and t5.id_circ=$id_circ";
+
+			$sqlvoti="select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome), sum(t2.voti),'','','','','' 
+			from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
+			.$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4, ".$prefix."_ele_circoscrizione as t5
+			where t1.id_lista=$id_lista
+			and t1.id_cons=$id_cons
+			and t1.id_cand=t2.id_cand
+			and t2.id_sez=t3.id_sez
+			and t3.id_sede=t4.id_sede
+			and t4.id_circ=t5.id_circ $condcirc
+			group by t1.num_cand,$tab3
+			order by $tab3,t1.num_cand";
+			$res_voti = $dbi->prepare("$sqlvoti");
+			$res_voti->execute();
 		}else{
 			if (!$csv)
 				echo "<input type=\"hidden\" name=\"id_lista\" value=\"\"></input>";
 				
-				// camera e senato nel 2006 aggiunte le somme della coalizione
-				// divise per circo e sez. in quanto nella tabella del gruppo
-				// all'atto dell'immsione non viene fatta la somma
-				// quindi leggere prima i voti di lista e poi agganciali al gruppo
-				// la var $tab diviene lista, $tab15 diviene gruppo in caso di somma
-				// dei voti di lista...oltre naturalmnte alle condizioni messe in variabile
-				// 4 aprile 2006 by luc
-				if ($votog && $tab=="gruppo"){ // camera e senato 2006
-					$t="t9";
-					$tab="lista";
-					$tab15="gruppo";
-					$add_1= ",".$prefix."_ele_gruppo as t9";
-					$and_1="and t1.id_gruppo=t9.id_gruppo";
-				}else{
-					$t="t1";
-					$tab15=$tab;
-					$add_1='';
-					$and_1='';
-				}
-				// fine della modifica
-				 
-				$res_scr = mysql_query("SELECT count(id_sez) from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons' group by id_$tab15",$dbi); //numero sezioni scrutinate
-				$res_cand = mysql_query("SELECT id_$tab15, descrizione, num_$tab15 from ".$prefix."_ele_$tab15 where id_cons='$id_cons' $condcirc order by num_$tab15",$dbi);
-				if ($circo) $condcirc="and t5.id_circ=$id_circ";			
-                                if ($tab=="gruppo")
-                                        $votigl=" sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli)";
-                                else
-                                        if ($votog) $votigl=" (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati),(t3.voti_nulli)";
-                                        else $votigl=" sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista+t3.voti_nulli)";
-
-
-
-				$res_voti = mysql_query("select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
-				from 
-				".$prefix."_ele_$tab as t1, 
-				".$prefix."_ele_voti_$tab as t2, 
-				".$prefix."_ele_sezioni as t3, 
-				".$prefix."_ele_sede as t4, 
-				".$prefix."_ele_circoscrizione as t5
-				$add_1
-				
-				where t1.id_cons=$id_cons 
-				and t1.id_$tab=t2.id_$tab
-				$and_1
-				
-				and t2.id_sez=t3.id_sez
-				and t3.id_sede=t4.id_sede
-				and t4.id_circ=t5.id_circ $condcirc
-				
-				
-				group by $t.num_$tab15,$tab3
-				order by $tab3,$t.num_$tab15",$dbi);
+			// camera e senato nel 2006 aggiunte le somme della coalizione
+			// divise per circo e sez. in quanto nella tabella del gruppo
+			// all'atto dell'immsione non viene fatta la somma
+			// quindi leggere prima i voti di lista e poi agganciali al gruppo
+			// la var $tab diviene lista, $tab15 diviene gruppo in caso di somma
+			// dei voti di lista...oltre naturalmnte alle condizioni messe in variabile
+			// 4 aprile 2006 by luc
+			if ($votog && $tab=="gruppo"){ // camera e senato 2006
+				$t="t9";
+				$tab="lista";
+				$tab15="gruppo";
+				$add_1= ",".$prefix."_ele_gruppo as t9";
+				$and_1="and t1.id_gruppo=t9.id_gruppo";
+			}else{
+				$t="t1";
+				$tab15=$tab;
+				$add_1='';
+				$and_1='';
+			}
+			// fine della modifica
+			 
+			$sql="SELECT count(id_sez) from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons' group by id_$tab15";
+			$res_scr = $dbi->prepare("$sql");
+			$res_scr->execute();
+ //numero sezioni scrutinate
+			$sqlc="SELECT id_$tab15, descrizione, num_$tab15 from ".$prefix."_ele_$tab15 where id_cons='$id_cons' $condcirc order by num_$tab15";
+			$res_cand = $dbi->prepare("$sqlc");
+			$res_cand->execute();
+
+			if ($circo) $condcirc="and t5.id_circ=$id_circ";			
+			if ($tab=="gruppo")
+					$votigl=" sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli)";
+			else
+				if ($votog) $votigl=" (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati),(t3.voti_nulli)";
+				else $votigl=" sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista+t3.voti_nulli)";
+			$sqlvoti="select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
+			from 
+			".$prefix."_ele_$tab as t1, 
+			".$prefix."_ele_voti_$tab as t2, 
+			".$prefix."_ele_sezioni as t3, 
+			".$prefix."_ele_sede as t4, 
+			".$prefix."_ele_circoscrizione as t5
+			$add_1
 			
-			}
-			if ($res_scr) list($tot_scr)=mysql_fetch_row($res_scr);else $tot_scr=0;
-			if ($res_cand) $num_cand=mysql_num_rows($res_cand); else $num_cand=0;
-			if(!$circo){ 
-				if (!(0 < $minsez and $minsez<=$numsezmax)) $minsez=1;
-				if (!(0<$offsetsez and $offsetsez<=$numsezmax)) $offsetsez=$numsezmax;
-			}
-			if (!(0 < $min and $min<=$num_cand)) $min=1;
-			if (!(0<$offset and $offset<=$num_cand)) $offset=$num_cand;
-			if (!$csv) {		
-				if(strstr( $op,'lista')){$scelta=_SCEGLI_LISTA;}else{$scelta=_SCEGLI_CANDI;}
-				echo "<p>$scelta "._DA.":&nbsp;  <select name=\"min\" class=\"modulo\">";
-				while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_cand)) {
-					if (!$min) $min=$num_lis;
-					$sel = ($num_lis == $min) ? "selected=\"selected\"" : "";
-					echo "<option value=\"$num_lis\" $sel>";
-					for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_lis.") ".$descrizione."</option>";
-					
-				}
-				echo "</select>";
-				echo "&nbsp;&nbsp;"._A.":&nbsp; <select name=\"offset\" class=\"modulo\">";
-				mysql_data_seek($res_cand,0);
-				while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_cand)) {
-					if (!$offset) $offset=$num_lis;
-					$sel = ($num_lis == $offset) ? "selected=\"selected\"" : "";
-					echo "<option value=\"$num_lis\" $sel>";
-					for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_lis.") ".$descrizione."</option>";
-					
-				}
-				echo "</select></p>";
-				//echo "<div style=\"text-align:left; margin-left:20px;\">";
-				if(!$circo){
+			where t1.id_cons=$id_cons 
+			and t1.id_$tab=t2.id_$tab
+			$and_1
+			
+			and t2.id_sez=t3.id_sez
+			and t3.id_sede=t4.id_sede
+			and t4.id_circ=t5.id_circ $condcirc
+			
+			
+			group by $t.num_$tab15,$tab3
+			order by $tab3,$t.num_$tab15";
+			$res_voti = $dbi->prepare("$sqlvoti");
+			$res_voti->execute();
+		}
+		if ($res_scr) list($tot_scr)=$res_scr->fetch(PDO::FETCH_NUM);else $tot_scr=0;
+		if ($res_cand) $num_cand=$res_cand->rowCount(); else $num_cand=0;
+		if(!$circo){ 
+			if (!(0 < $minsez and $minsez<=$numsezmax)) $minsez=1;
+			if (!(0<$offsetsez and $offsetsez<=$numsezmax)) $offsetsez=$numsezmax;
+		}
+		if (!(0 < $min and $min<=$num_cand)) $min=1;
+		if (!(0<$offset and $offset<=$num_cand)) $offset=$num_cand;
+		if (!$csv) {		
+			if(strstr( $op,'lista')){$scelta=_SCEGLI_LISTA;}else{$scelta=_SCEGLI_CANDI;}
+			echo "<p>$scelta "._DA.":&nbsp;  <select name=\"min\" class=\"modulo\">";
+			while(list($id_rif,$descrizione,$num_lis) = $res_cand->fetch(PDO::FETCH_NUM)) {
+				if (!$min) $min=$num_lis;
+				$sel = ($num_lis == $min) ? "selected=\"selected\"" : "";
+				echo "<option value=\"$num_lis\" $sel>";
+				for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
+				echo $num_lis.") ".$descrizione."</option>";				
+			}
+			echo "</select>";
+			echo "&nbsp;&nbsp;"._A.":&nbsp; <select name=\"offset\" class=\"modulo\">";
+			$res_cand = $dbi->prepare("$sqlc");
+			$res_cand->execute();
+
+			while(list($id_rif,$descrizione,$num_lis) = $res_cand->fetch(PDO::FETCH_NUM)) {
+				if (!$offset) $offset=$num_lis;
+				$sel = ($num_lis == $offset) ? "selected=\"selected\"" : "";
+				echo "<option value=\"$num_lis\" $sel>";
+				for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
+				echo $num_lis.") ".$descrizione."</option>";
+				
+			}
+			echo "</select></p>";
+			//echo "<div style=\"text-align:left; margin-left:20px;\">";
+			if(!$circo){
 				echo "<p>"._SCEGLI." $tipo1 n. <input  name=\"minsez\" value=\"$minsez\" size=\"4\" ></input>";
 				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $numsezmax)";
-				}
-				# pagine
+			}
+			# pagine
 ############
-if (strstr( $op,'circo'))
-$resnsez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez",$dbi);
-else
-$resnsez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez",$dbi);
-                list($diff)=mysql_fetch_row($resnsez);
-########
+			if (strstr( $op,'circo'))
+			$sql="SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez";
+
+
+			else
+			$sql="SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez";
+
+				$resnsez = $dbi->prepare("$sql");
+				$resnsez->execute();
+				list($diff)=$resnsez->fetch(PDO::FETCH_NUM);
+			########
 			#	$diff=($offsetsez-$minsez);
 			if ($minsez>1){
-					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;
-					 
-					$offsetsez_p=$offsetsez-$diff;
-								echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
-				}else{echo "";}
-
-				if ($offsetsez<$numsezmax){
-					$minsez_s=$minsez+$diff;
-					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
-
-								echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
-				}else{echo "";}	
-
-
-
-
-
-				if(!$circo)
-				
+				$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;				 
+				$offsetsez_p=$offsetsez-$diff;
+				echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
+			}else{echo "";}
+			if ($offsetsez<$numsezmax){
+				$minsez_s=$minsez+$diff;
+				$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
+				echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
+			}else{echo "";}	
+			if(!$circo)				
 				echo "<div style=\"margin-left:10px;\"><br/>"._MOSTRA." $tipo2 "._PERCOL."<input type=\"radio\" name=\"orvert\" $righe value=\"0\"></input>"._PERRIGHE." <input
 				type=\"radio\" name=\"orvert\" $colonne value=\"1\"></input>";
-				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>
-				</div>";
-
-				
-				
-				echo "<p>";
-				if (!strstr( $op,'candidato')) {
-					echo ""._VIS_PERC.": <input type=\"checkbox\" name=\"perc\" value=\"true\"";
-					if($perc=='true') echo " checked=\"true\"";
-					echo "></input><br/>";
-				}
-				echo "";
+			echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input></div>";
+			echo "<p>";
+			if (!strstr( $op,'candidato')) {
+				echo ""._VIS_PERC.": <input type=\"checkbox\" name=\"perc\" value=\"true\"";
+				if($perc=='true') echo " checked=\"true\"";
+				echo "></input><br/>";
+			}
+			echo "";
 			if($circo) 
 				echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
@@ -402,12 +414,18 @@
 				# liste e gruppi da.... a	  
 				if (!strstr( $op,'candidato')) {
-				      $res_cand2 = mysql_query("SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$min'",$dbi);
-				      list($descrizione)= mysql_fetch_row($res_cand2);
+				    $sql="SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$min'";
+					$res_cand2 = $dbi->prepare("$sql");
+					$res_cand2->execute();
+
+				      list($descrizione)= $res_cand2->fetch(PDO::FETCH_NUM);
 				      $list1 ="da $descrizione ";  
 
 
 
-				      $res_cand3 = mysql_query("SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$offset'",$dbi);
-				      list($descrizione)= mysql_fetch_row($res_cand3);
+				      $sql="SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$offset'";
+						$res_cand3 = $dbi->prepare("$sql");
+						$res_cand3->execute();
+
+				      list($descrizione)= $res_cand3->fetch(PDO::FETCH_NUM);
 				      $list1 .=" a $descrizione <br/>";
 			      
@@ -417,14 +435,23 @@
 				if (!isset($list2)) $list2='';
 				if (strstr( $op,'candidato')) { 
-					$res_lis2 = mysql_query("SELECT num_lista, descrizione from ".$prefix."_ele_lista where id_lista=$id_lista",$dbi);
-					list($num_lista2,$descr_lista2)= mysql_fetch_row($res_lis2);
+					$sql="SELECT num_lista, descrizione from ".$prefix."_ele_lista where id_lista=$id_lista";
+					$res_lis2 = $dbi->prepare("$sql");
+					$res_lis2->execute();
+
+					list($num_lista2,$descr_lista2)= $res_lis2->fetch(PDO::FETCH_NUM);
 					$nomefile=" Lista n. $num_lista2 - $descr_lista2 ";
 					$list2 .=" Lista n. $num_lista2 - $descr_lista2 <br/>";
 				
-					$res_cand4 = mysql_query("SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$min",$dbi);
-					list($descrizione)= mysql_fetch_row($res_cand4);
+					$sql="SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$min";
+					$res_cand4 = $dbi->prepare("$sql");
+					$res_cand4->execute();
+
+					list($descrizione)= $res_cand4->fetch(PDO::FETCH_NUM);
 				         $list3 ="da $descrizione "; 
-					$res_cand5 = mysql_query("SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$offset",$dbi);
-					list($descrizione)= mysql_fetch_row($res_cand5);
+					$sql="SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$offset";
+					$res_cand5 = $dbi->prepare("$sql");
+					$res_cand5->execute();
+
+					list($descrizione)= $res_cand5->fetch(PDO::FETCH_NUM);
 				         $list3 .="a $descrizione <br/>";
 
@@ -433,68 +460,42 @@
 			        $nomefile.="$descr_cons $tab15";
 			        $_SESSION['nomefile']=strip_tags(str_replace(" ", "_", $nomefile));
-				$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
-			
-
-				  # verificare la stampa sulle circoscrizioni
-				
-				 echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:0px;font-size:12px; \">";
-				 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 140px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
-				 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+					$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
+# verificare la stampa sulle circoscrizioni					
+					 echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:0px;font-size:12px; \">";
+					 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 140px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
+					 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				}else{ 
-				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
-				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
-
-				echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";
-				
-				echo "	</td></tr> ";
-				
-				# stampa pdf
-				echo "<form id=\"pdf\" method=\"post\" action=\"modules.php\">";
-					
-				echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
-				echo "<input type=\"hidden\" name=\"op\" value=\"$op\"></input>";			
-				echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"></input>";
-				echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"></input>";	
-				echo "<input type=\"hidden\" name=\"csv\" value=\"1\"></input>";
-				echo "<input type=\"hidden\" name=\"orvert\" value=\"$orvert\"></input>";
-				echo "<input type=\"hidden\" name=\"min\" value=\"$min\"></input>";					
+					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
+					echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";				
+					echo "	</td></tr> ";				
+	# stampa pdf
+					echo "<form id=\"pdf\" method=\"post\" action=\"modules.php\">";					
+					echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
+					echo "<input type=\"hidden\" name=\"op\" value=\"$op\"></input>";			
+					echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"></input>";
+					echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"></input>";	
+					echo "<input type=\"hidden\" name=\"csv\" value=\"1\"></input>";
+					echo "<input type=\"hidden\" name=\"orvert\" value=\"$orvert\"></input>";
+					echo "<input type=\"hidden\" name=\"min\" value=\"$min\"></input>";					
 			        echo "<input type=\"hidden\" name=\"offset\" value=\"$offset\"></input>";
-				echo "<input type=\"hidden\" name=\"minsez\" value=\"$minsez\"></input>";	
-				echo "<input type=\"hidden\" name=\"offsetsez\" value=\"$offsetsez\"></input>";		
-				echo "<input type=\"hidden\" name=\"perc\" value=\"$perc\"></input>";	
-				echo "<input type=\"hidden\" name=\"id_lista\" value=\"$id_lista\"></input>";
-				echo "<input type=\"hidden\" name=\"pdf\" value=\"1\"></input>";
-				echo "<input type=\"hidden\" name=\"datipdf\" value=\"$datipdf\"></input>";
-#				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
-				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
-
-				echo "<tr><td>";
-				echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\" align=\"left\">";
-				
-				echo "&nbsp; L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
-				type=\"radio\" name=\"orienta\" $port value=\"P\"></input><br />";
-				echo "&nbsp; A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
-				type=\"radio\" name=\"formato\" $A4 value=\"A4\"></input>";
-				
-				
-				echo "	</td></tr></table></form> ";
-					
-					
+					echo "<input type=\"hidden\" name=\"minsez\" value=\"$minsez\"></input>";	
+					echo "<input type=\"hidden\" name=\"offsetsez\" value=\"$offsetsez\"></input>";		
+					echo "<input type=\"hidden\" name=\"perc\" value=\"$perc\"></input>";	
+					echo "<input type=\"hidden\" name=\"id_lista\" value=\"$id_lista\"></input>";
+					echo "<input type=\"hidden\" name=\"pdf\" value=\"1\"></input>";
+					echo "<input type=\"hidden\" name=\"datipdf\" value=\"$datipdf\"></input>";
+	#				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
+					echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
+					echo "<tr><td>";
+					echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\" align=\"left\">";					
+					echo "&nbsp; L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
+					type=\"radio\" name=\"orienta\" $port value=\"P\"></input><br />";
+					echo "&nbsp; A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
+					type=\"radio\" name=\"formato\" $A4 value=\"A4\"></input>";					
+					echo "	</td></tr></table></form> ";
 				}
-
-
-
 				echo "</div></br />";
-				/*
-
-				if (!$circo)
-				echo "dalla $tipo3 n. <b>$minsez</b> alla $tipo3 n. <b>$offsetsez</b> di <b>$num_sez</b> $tipo2<br/><br/>";
-				else echo "<br/><br/>";
-				
-				if (strstr( $op,'candidato')) echo $list2;	
-				*/
-				
-			}
-			
+			}		
 			if (!$csv){
 				echo "<h5> Sezioni scrutinate";
@@ -518,45 +519,54 @@
 		      // caso: sezioni in collegi diversi non consecutive
 			if (strstr( $op,'circo'))
-				$res_numsez=mysql_query("select num_circ,id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+				$sql="select num_circ,id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ";
 			else{		      
 			if($circo) { $secirco=" and t2.id_circ=$id_circ";} else $secirco="and t1.num_sez >= $minsez and t1.num_sez <= $offsetsez";
 				$numsezioni = $offsetsez-$ominsez;
-				$res_numsez = mysql_query("SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
-			}
-#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
-				while($res=mysql_fetch_row($res_numsez)) {
-$z=$res[0];
-
+				$sql="SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez";
+			}
+			$res_numsez = $dbi->prepare("$sql");
+			$res_numsez->execute();#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
+			while($res=$res_numsez->fetch(PDO::FETCH_NUM)) {
+				$z=$res[0];
 ##############inserimento percentuale di scrutinio nella sezione
-		$scruvalidi=0;
-		$scrunulli=0;
-		$grpercscru=0;
-		$altri=0;
-		$votiscru=0;
-		if($op=="gruppo_sezione"){
-			$resperc=mysql_query("select sum(validi),sum(solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='".$res[1]."'",$dbi);
-		}	
-		elseif($op=="lista_sezione"){
-			$resperc=mysql_query("select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'",$dbi);
-		}	
-		if (isset($resperc) and $resperc)
-			list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
-		if (isset($votiperc) and $votiperc)
-			list($votiscru)=mysql_fetch_row($votiperc);
-		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
-		if ($resperc)
-			list($totschede)=mysql_fetch_row($resperc);
-		if (isset($scruvalidi) and $scruvalidi>0 )
-			$grpercscru=$votiscru ? number_format(($votiscru+$scrunulli)*100/$scruvalidi,0) : 0;
+				$scruvalidi=0;
+				$scrunulli=0;
+				$grpercscru=0;
+				$altri=0;
+				$votiscru=0;
+				if($op=="gruppo_sezione"){
+					$sqlr="select sum(validi),sum(solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'";
+					$sqlv="select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='".$res[1]."'";
+					$resperc = $dbi->prepare("$sqlr");
+					$resperc->execute();
+					$votiperc = $dbi->prepare("$sqlv");
+					$votiperc->execute();
+				}	
+				elseif($op=="lista_sezione"){
+					$sqlr="select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'";
+					$sqlv="select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'";
+					$resperc = $dbi->prepare("$sqlr");
+					$resperc->execute();
+					$votiperc = $dbi->prepare("$sqlv");
+					$votiperc->execute();
+				}	
+				if (isset($resperc) and $resperc)
+					list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
+				if (isset($votiperc) and $votiperc)
+					list($votiscru)=$votiperc->fetch(PDO::FETCH_NUM);
+				$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ";
+				$resperc = $dbi->prepare("$sql");
+				$resperc->execute();
+
+				if ($resperc)
+					list($totschede)=$resperc->fetch(PDO::FETCH_NUM);
+				if (isset($scruvalidi) and $scruvalidi>0 )
+					$grpercscru=$votiscru ? number_format(($votiscru+$scrunulli)*100/$scruvalidi,0) : 0;
 
 ###################			<span class=\"red\"><i>".$temp3[$key]." %</i></span>		
-					$ar[$z][0]=$res[0]; if($grpercscru) {$ar[$z][0].="<br /><span class=\"red\"><i>$grpercscru%</i></span>";if(!strstr($ar[0][0],'scrutinio')) $ar[0][0].="<br /><span class=\"red\"><i>% scrutinio</i></span>"; }
-					$pos[$z]=$res[0];
-					#$valar[$z]=array();
-				}
-
-
+				$ar[$z][0]=$res[0]; if($grpercscru) {$ar[$z][0].="<br /><span class=\"red\"><i>$grpercscru%</i></span>";if(!strstr($ar[0][0],'scrutinio')) $ar[0][0].="<br /><span class=\"red\"><i>% scrutinio</i></span>"; }
+				$pos[$z]=$res[0];
+				#$valar[$z]=array();
+			}
 			if (!isset($pos)) $pos[0]=0;
 			$minpos=min($pos);
@@ -564,31 +574,35 @@
 			////////////////////////////////////////////////////////////////////
 
-			if ($res_voti)
-			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-					$z=array_search($num_circ, $pos); 
+			if ($res_voti->rowCount())
+			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
+				$z=array_search($num_circ, $pos); 
 				if (!isset($votitot[($z)])) {
-					$votitot[($z)]=0;
-				$sevaltot+=$sevalidi;
-				$senultot+=$senulli;
-				$sebiatot+=$sebianchi;
-				$secontot+=$secontestati;
-				$sevnutot+=$sevonulli;
+					$votitot[($z)]=0; 
+					if($sevalidi) $sevaltot+=$sevalidi;
+					if($senulli) $senultot+=$senulli;
+					if($sebianchi) $sebiatot+=$sebianchi;
+					if($secontestati) $secontot+=$secontestati;
+					if($sevonulli) $sevnutot+=$sevonulli;
 				}
 				$votitot[($z)]+=$voti;
 				$voticompl+=$voti;
 			}
-			if ($voticompl) mysql_data_seek($res_voti,0);
+			if ($voticompl) {
+				$res_voti = $dbi->prepare("$sqlvoti");
+				$res_voti->execute();
+			}
 			$piuvot=0;
 			if ($visvot!='cand') $piuvot=5;
-
-
-for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
-if (strstr( $op,'circo'))
-$lis_sez=mysql_query("select num_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
-else
-	$lis_sez=mysql_query("select num_sez from ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez>='$minsez' and num_sez<='$offsetsez' order by num_sez",$dbi);
-$nsezsel=mysql_num_rows($lis_sez);
-while(list($z)=mysql_fetch_row($lis_sez)) 
-{ for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;";} //inizializza le celle interne
+			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+			if (strstr( $op,'circo'))
+				$sql="select num_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ";
+			else
+				$sql="select num_sez from ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez>='$minsez' and num_sez<='$offsetsez' order by num_sez";
+			$lis_sez = $dbi->prepare("$sql");
+			$lis_sez->execute();
+			$nsezsel=$lis_sez->rowCount();
+			while(list($z)=$lis_sez->fetch(PDO::FETCH_NUM)) 
+			{ 
+				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;";} //inizializza le celle interne
 
 ###################################################################
@@ -596,10 +610,10 @@
 #			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
  #				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
-			$onetime=""; 
-			if ($res_voti)
-			{
-					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
+				$onetime=""; 
+				if ($res_voti)
+				{
+					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
 						$z=array_search($num_circ, $pos);
-								$valar[($z)][$num_cand]=$voti;
+						$valar[($z)][$num_cand]=$voti;
 					}
 					foreach ($valar as $key=>$val){ 
@@ -607,71 +621,73 @@
 							$percar[$key]=arrayperc($val,$votitot[($key)]);
 						}
-
-					 if(mysql_num_rows($res_voti)) mysql_data_seek($res_voti,0);		
-			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-					if($num_cand<$min or $num_cand>$offset) continue;
-
-				if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
-				$temp[$num_cand]+=$voti;
-				$z=array_search($num_circ, $pos); if (!$z) continue;
-				if ($num_cand>=$min and $num_cand<=$offset){
-					if($num_circ>=$minpos and $num_circ <=$maxpos){
-						$ar[0][$num_cand]=$num_cand.") ".$nome;
-						if ($desc_circ && $onetime!=$desc_circ) {$ar[($z)][0].=") ".$desc_circ; $onetime=$desc_circ;}
-						$percento=$voti;
-						if ($perc=='true' and $votitot[($z)]) 
-						{
-							$percento=$voti."<br /><span class=\"red\" style=\"font-size:80%;\"><i>".number_format($percar[$z][$num_cand],2)." %</i></span>";
+						if($res_voti->rowCount()) {
+							$res_voti = $dbi->prepare("$sqlvoti");
+							$res_voti->execute();			 
+						}	
+					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
+						if($num_cand<$min or $num_cand>$offset) continue;
+						if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
+						$temp[$num_cand]+=$voti;
+						$z=array_search($num_circ, $pos); 
+						if (!$z) continue;
+						if ($num_cand>=$min and $num_cand<=$offset){
+							if($num_circ>=$minpos and $num_circ <=$maxpos){
+								$ar[0][$num_cand]=$num_cand.") ".$nome;
+								if ($desc_circ && $onetime!=$desc_circ) {$ar[($z)][0].=") ".$desc_circ; $onetime=$desc_circ;}
+								$percento=$voti;
+								if ($perc=='true' and $votitot[($z)]) 
+								{
+									$percento=$voti."<br /><span class=\"red\" style=\"font-size:80%;\"><i>".number_format($percar[$z][$num_cand],2)." %</i></span>";
+								}
+								$ar[($z)][$num_cand]=$percento;
+							}	
 						}
-						$ar[($z)][$num_cand]=$percento;
+						if (!strstr( $op,'candidato')){
+							if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
+							$tempar[$num_cand]+=$voti;
+						}
+						if ($visvot!='cand'){ 
+							$posvoti=($offset);
+							$ar[0][$posvoti+1]='<b>Voti Validi</b>';
+							$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
+							$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
+							$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
+							$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
+							if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
+							//$posvoti++;
+								$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
+								$ar[($z)][$posvoti+2]="<b>$senulli</b>";
+								$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
+								$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
+								$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
+							}
+						} 
 					}
-					
-					
-					
 				}
-				if (!strstr( $op,'candidato')){
-				if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
-				$tempar[$num_cand]+=$voti;}
-				if ($visvot!='cand'){ 
-				$posvoti=($offset);
-				$ar[0][$posvoti+1]='<b>Voti Validi</b>';
-				$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
-				$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
-				$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
-				$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
-				if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
-				//$posvoti++;
-				$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
-				$ar[($z)][$posvoti+2]="<b>$senulli</b>";
-				$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
-				$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
-				$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
-				}
-				} 
-			}
-			}
-
-			if (($offsetsez+1)>=$num_sez){  
-				$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
-				if(isset($temp)) {
-					 if (!isset($tab15) or !$tab15) $tab15="candidati";
-                     if($tab15=="gruppo"){
+
+				if (($offsetsez+1)>=$num_sez){  
+					$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
+					if(isset($temp)) {
+					if (!isset($tab15) or !$tab15) $tab15="candidati";
+                    if($tab15=="gruppo"){
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
-                     }elseif($votog){
+                    }elseif($votog){
                           $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
-                     }else{
-                          if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
-			  else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
-                     }
+                    }else{
+                        if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
+						else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
+                    }
                     if($circo) 
-                    	$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni AS t1
-LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
+                    	$sql="SELECT $votigl from ".$prefix."_ele_sezioni AS t1 LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ";
                     else 
-						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)",$dbi);
-
-					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
+						$sql="SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)";
+					$resv = $dbi->prepare("$sql");
+					$resv->execute();
+					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= $resv->fetch(PDO::FETCH_NUM);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
-					$resvt = mysql_query("SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'",$dbi);
-					if($resvt) list($votlt)=mysql_fetch_row($resvt); else $votlt=0;
+					$sql="SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'";
+					$resvt = $dbi->prepare("$sql");
+					$resvt->execute();
+					if($resvt) list($votlt)=$resvt->fetch(PDO::FETCH_NUM); else $votlt=0;
 					if($perc) $temp3=arrayperc($temp,$sevaltot);
 					while (list($key,$voti)= each($temp)) {
@@ -714,6 +730,9 @@
 //e' un referendum  
 		}else{
-			$res_lis = mysql_query("SELECT id_gruppo, descrizione,num_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons order by num_gruppo",$dbi);
-			if($res_lis) $numliste=mysql_num_rows($res_lis); else $numliste=0;
+			$sql="SELECT id_gruppo, descrizione,num_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons order by num_gruppo";
+			$res_lis = $dbi->prepare("$sql");
+			$res_lis->execute();
+
+			if($res_lis) $numliste=$res_lis->rowCount(); else $numliste=0;
 
 			if (!isset($offset)) $offset=10;
@@ -731,5 +750,5 @@
 				echo ""._SCELTA." "._CONSULTAZIONE.": <select name=\"id_gruppo\">";
 				if($res_lis)
-				    while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_lis)) {
+				    while(list($id_rif,$descrizione,$num_lis) = $res_lis->fetch(PDO::FETCH_NUM)) {
 					if (!$id_gruppo) $id_gruppo=$id_rif;
 					$sel = ($id_rif == $id_gruppo) ? "selected=\"selected\"" : "";
@@ -748,6 +767,9 @@
 			}
 
-			$res_ref= mysql_query("select num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id_gruppo", $dbi);
-			$res = mysql_query("select $tab2, t1.num_gruppo, t1.descrizione , t1.simbolo, 
+			$sql="select num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id_gruppo";
+			$res_ref = $dbi->prepare("$sql");
+			$res_ref ->execute();
+
+			$sql="select $tab2, t1.num_gruppo, t1.descrizione , t1.simbolo, 
 			sum(t2.si),  sum(t2.no),sum(t2.validi),  sum(t2.nulli),sum(t2.bianchi),  sum(t2.contestati)
 			from ".$prefix."_ele_gruppo as t1
@@ -759,7 +781,10 @@
 			group by t2.id_gruppo,$tab3
 			order by $tab3, t1.num_gruppo
-			", $dbi);
-			if($res) $num_sez=mysql_num_rows($res); else $num_sez=0;
-			if($res_ref) list($num_gruppo,$descr)= mysql_fetch_row($res_ref); else {$num_gruppo=0;$descr='';}
+			";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			if($res) $num_sez=$res->rowCount(); else $num_sez=0;
+			if($res_ref) list($num_gruppo,$descr)= $res_ref->fetch(PDO::FETCH_NUM); else {$num_gruppo=0;$descr='';}
 			
 			if (!$csv){
@@ -822,13 +847,22 @@
 
 // numero sezioni scrutinate
-  	$res4 = mysql_query("select t3.*  from ".$prefix."_ele_voti_ref as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons'  group by t3.id_sez ",$dbi);
-	$numero=mysql_num_rows($res4);
-	$res5 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' ",$dbi);
-	$sezioni=mysql_num_rows($res5);
+  	$sql="select t3.*  from ".$prefix."_ele_voti_ref as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons'  group by t3.id_sez ";
+	$res4 = $dbi->prepare("$sql");
+	$res4->execute();
+
+	$numero=$res4->rowCount();
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' ";
+	$res5 = $dbi->prepare("$sql");
+	$res5->execute();
+
+	$sezioni=$res5->rowCount();
 	if ($numero!=0) echo "<h5><i> "._SEZSCRU." $numero "._SU." $sezioni </i></h5>";
 
 }
-	$res5=mysql_query("select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
-	list($num_sez) = mysql_fetch_row($res5);
+	$sql="select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$res5 = $dbi->prepare("$sql");
+	$res5->execute();
+
+	list($num_sez) = $res5->fetch(PDO::FETCH_NUM);
 
 
@@ -847,5 +881,5 @@
 		$ar[0][6]=_CONTESTATI;
 		if($res_ref)
-		    while (list($num_gruppo,$desc_ref) = mysql_fetch_row($res_ref)){
+		    while (list($num_gruppo,$desc_ref) = $res_ref->fetch(PDO::FETCH_NUM)){
 			$ar[0][$i++]= $num_gruppo.") ".$desc_ref;
 			$ar[1][$y++]= "SI";
@@ -860,5 +894,5 @@
 		$tot_co=0;
 		if($res)
-		    while (list($num_circ,$desc_circ,$num_gruppo,$desc_ref,$simbolo,$si,$no,$validi,$nulli,$bianchi, $contestati)  = mysql_fetch_row($res)){
+		    while (list($num_circ,$desc_circ,$num_gruppo,$desc_ref,$simbolo,$si,$no,$validi,$nulli,$bianchi, $contestati)  = $res->fetch(PDO::FETCH_NUM)){
 			$i=1;
 			$votanti=$validi+$nulli+$bianchi+$contestati;
